/*
THIS INFRAGISTICS ULTIMATE SOFTWARE LICENSE  AGREEMENT ("AGREEMENT") LOCATED HERE:
https://www.infragistics.com/legal/license/igultimate-la
https://www.infragistics.com/legal/license/igultimate-eula
GOVERNS THE LICENSING, INSTALLATION AND USE OF INFRAGISTICS SOFTWARE. BY DOWNLOADING AND/OR INSTALLING AND USING INFRAGISTICS SOFTWARE:  you are indicating that you have read and understand this Agreement, and agree to be legally bound by it on behalf of the yourself and your company.
*/
import { Description } from "./Description";
import { markType } from "./type";
/**
 * @hidden
 */
export class CellActionManagerDescriptionDescription extends Description {
    constructor() {
        super();
        this.f = false;
        this.g = false;
    }
    get_type() {
        return "CellActionManagerDescription";
    }
    get type() {
        return this.get_type();
    }
    get isControlPressed() {
        return this.f;
    }
    set isControlPressed(a) {
        this.f = a;
        this.e("IsControlPressed");
    }
    get isShiftPressed() {
        return this.g;
    }
    set isShiftPressed(a) {
        this.g = a;
        this.e("IsShiftPressed");
    }
}
CellActionManagerDescriptionDescription.$t = markType(CellActionManagerDescriptionDescription, 'CellActionManagerDescriptionDescription', Description.$);
